Bug 800660 - Updates for new Aviary locator support
Summary: Updates for new Aviary locator support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-base-db
Version: Development
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: 2.3
: ---
Assignee: Robert Rati
QA Contact: Tomas Rusnak
URL:
Whiteboard:
Depends On: 733515
Blocks: 808200 810982
TreeView+ depends on / blocked
 
Reported: 2012-03-06 21:35 UTC by Pete MacKinnon
Modified: 2013-03-06 18:42 UTC (History)
5 users (show)

Fixed In Version: condor-wallaby-base-db-1.24-1
Doc Type: Bug Fix
Doc Text:
C: Aviary added a locator feature C: The cemote configuration feature needs to be able to configure the Aviary locator feature C: New features were added to the base database for Aviary R: The remote configuration feature can now configure Aviary's locator service
Clone Of:
Environment:
Last Closed: 2013-03-06 18:42:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 23:37:09 UTC

Description Pete MacKinnon 2012-03-06 21:35:56 UTC
The new feature for the Aviary locator involves some additions to the base-db:

# locator publishing (off by default)
AVIARY_PUBLISH_LOCATION = False

Note that the above value enables location publishing behaviour in the new Collector plugin noted below and the SCHEDD and QUERY_SERVER Aviary endpoints. 

# Aviary Locator plugin
# (Collector only)
COLLECTOR.PLUGINS = $(COLLECTOR.PLUGINS) $(LIB)/plugins/AviaryLocatorPlugin-plugin.so

# frequency in seconds that the locator plugin sweeps and marks 
# unresponsive or missing endpoints
# (Collector only)
AVIARY_LOCATOR_PRUNE_INTERVAL = 20

# the number of updates an endpoint can miss before becoming a 
# candidate for garbage collection from the available list
# (Collector only)
AVIARY_LOCATOR_MISSED_UPDATES = 2

# frequency in seconds that endpoints send out their heartbeat ad
# (QS, SCHEDD plugin only)
AVIARY_PUBLISH_INTERVAL = 10

Comment 1 Robert Rati 2012-03-28 16:16:03 UTC
AviarySchedulerPublisher
  name:  "AviarySchedulerPublisher"
  params:  {"AVIARY_PUBLISH_INTERVAL"=>"10"}
  depends:  []
  conflicts:  []
  included_features:  []
AviaryLocator
  name:  "AviaryLocator"
  params:  {"AVIARY_LOCATOR_PRUNE_INTERVAL"=>"20", "AVIARY_LOCATOR_MISSED_UPDATES"=>"2", "COLLECTOR.PLUGINS"=>">= $(COLLECTOR.PLUGINS), $(LIB)/plugins/AviaryLocatorPlugin-plugin.so"}
  depends:  []
  conflicts:  []
  included_features:  []
AviaryPublishingEnabled
  name:  "AviaryPublishingEnabled"
  params:  {"AVIARY_PUBLISH_LOCATION"=>"True"}
  depends:  []
  conflicts:  []
  included_features:  []
QueryServerPublisher
  name:  "QueryServerPublisher"
  params:  {"AVIARY_PUBLISH_INTERVAL"=>"10"}
  depends:  []
  conflicts:  []
  included_features:  []

AVIARY_PUBLISH_INTERVAL
  kind:  "string"
  default:  "10"
  description:  "The interval in seconds that the Aviary endpoints send their heartbeats"
  must_change:  false
  requires_restart:  false
  visibility_level:  0
  depends:  []
  conflicts:  []
AVIARY_PUBLISH_LOCATION
  kind:  "string"
  default:  "False"
  description:  "Controls Aviary locator publishing"
  must_change:  false
  requires_restart:  true
  visibility_level:  0
  depends:  []
  conflicts:  []
AVIARY_LOCATOR_PRUNE_INTERVAL
  kind:  "string"
  default:  "20"
  description:  "The interval in seconds that the Aviary locator scans the known endpoints and marks them unresponsive or missing"
  must_change:  false
  requires_restart:  false
  visibility_level:  0
  depends:  []
  conflicts:  []
AVIARY_LOCATOR_MISSED_UPDATES
  kind:  "string"
  default:  "2"
  description:  "The number of updates an endpoint can miss before becoming a candidate for garbage collection from the available list"
  must_change:  false
  requires_restart:  false
  visibility_level:  0
  depends:  []
  conflicts:  []

Comment 2 Robert Rati 2012-03-28 17:57:15 UTC
The includes got munged on the features.  The features should be:
AviarySchedulerPublisher
  name:  "AviarySchedulerPublisher"
  params:  {"AVIARY_PUBLISH_INTERVAL"=>"10"}
  depends:  []
  conflicts:  []
  included_features:  ["AviaryScheduler", "AviaryPublishingEnabled"]
AviaryLocator
  name:  "AviaryLocator"
  params:  {"AVIARY_LOCATOR_PRUNE_INTERVAL"=>"20", "AVIARY_LOCATOR_MISSED_UPDATES"=>"2", "COLLECTOR.PLUGINS"=>">= $(COLLECTOR.PLUGINS), $(LIB)/plugins/AviaryLocatorPlugin-plugin.so"}
  depends:  []
  conflicts:  []
  included_features:  ["Collector", "AviaryPublishingEnabled"]
AviaryPublishingEnabled
  name:  "AviaryPublishingEnabled"
  params:  {"AVIARY_PUBLISH_LOCATION"=>"True"}
  depends:  []
  conflicts:  []
  included_features:  []
QueryServerPublisher
  name:  "QueryServerPublisher"
  params:  {"AVIARY_PUBLISH_INTERVAL"=>"10"}
  depends:  []
  conflicts:  []
  included_features:  ["QueryServer", "AviaryPublishingEnabled"]

Comment 3 Robert Rati 2012-03-28 18:15:26 UTC
Updated on master

Comment 4 Robert Rati 2012-04-02 12:55:15 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: Aviary added a locator feature
C: The cemote configuration feature needs to be able to configure the Aviary locator feature
C: New features were added to the base database for Aviary
R: The remote configuration feature can now configure Aviary's locator service

Comment 7 Robert Rati 2012-10-01 18:15:47 UTC
Updated features to be:
AviarySchedulerPublisher
  name:  "AviarySchedulerPublisher"
  params:  {"AVIARY_PUBLISH_INTERVAL"=>"10"}
  depends:  []
  conflicts:  []
  included_features:  ["AviaryScheduler", "AviaryPublishingEnabled"]
AviaryLocator
  name:  "AviaryLocator"
  params:  {"AVIARY_LOCATOR_PRUNE_INTERVAL"=>"20", "COLLECTOR.PLUGINS"=>">= $(LIB)/plugins/AviaryLocatorPlugin-plugin.so", "AVIARY_LOCATOR_MISSED_UPDATES"=>"2"}
  depends:  []
  conflicts:  []
  included_features:  ["Collector", "AviaryPublishingEnabled"]
AviaryPublishingEnabled
  name:  "AviaryPublishingEnabled"
  params:  {"AVIARY_PUBLISH_LOCATION"=>"TRUE"}
  depends:  []
  conflicts:  []
  included_features:  []
QueryServerPublisher
  name:  "QueryServerPublisher"
  params:  {"AVIARY_PUBLISH_INTERVAL"=>"10"}
  depends:  []
  conflicts:  []
  included_features:  ["QueryServer", "AviaryPublishingEnabled"]

Updated upstream on branch:
BZ800660-aviary-locator

Comment 8 Tomas Rusnak 2013-01-16 08:39:07 UTC
# wallaby show-feature AviarySchedulerPublisher
Console Connection Established...
AviarySchedulerPublisher
  name:  "AviarySchedulerPublisher"
  params:  {"AVIARY_PUBLISH_INTERVAL"=>"10"}
  depends:  []
  conflicts:  []
  included_features:  ["AviaryScheduler", "AviaryPublishingEnabled"]
  annotation:  "Enables publishing aviary locator data for the aviary scheduler"

wallaby show-feature AviaryLocator
Console Connection Established...
AviaryLocator
  name:  "AviaryLocator"
  params:  {"COLLECTOR.PLUGINS"=>">= $(LIB)/plugins/AviaryLocatorPlugin-plugin.so", "AVIARY_LOCATOR_PRUNE_INTERVAL"=>"20", "AVIARY_LOCATOR_MISSED_UPDATES"=>"2"}
  depends:  []
  conflicts:  []
  included_features:  ["Collector", "AviaryPublishingEnabled"]
  annotation:  "Collector additions to provide the aviary locator"

# wallaby show-feature AviaryPublishingEnabled
Console Connection Established...
AviaryPublishingEnabled
  name:  "AviaryPublishingEnabled"
  params:  {"AVIARY_PUBLISH_LOCATION"=>"TRUE"}
  depends:  []
  conflicts:  []
  included_features:  []
  annotation:  "Enables publishing aviary locator information"

# wallaby show-feature QueryServerPublisher
Console Connection Established...
QueryServerPublisher
  name:  "QueryServerPublisher"
  params:  {"AVIARY_PUBLISH_INTERVAL"=>"10"}
  depends:  []
  conflicts:  []
  included_features:  ["QueryServer", "AviaryPublishingEnabled"]
  annotation:  "Enables publishing aviary locator data for the query server"

Features available and tested on:
condor-wallaby-base-db-1.25-1.el6_3.noarch

>>> VERIFIED

Comment 10 errata-xmlrpc 2013-03-06 18:42:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html


Note You need to log in before you can comment on or make changes to this bug.